# what it's called on pypi
%global srcname parso
# what it's imported as
%global modname %{srcname}
# name of egg info directory
%global eggname %{srcname}
# package name fragment
%global pkgname %{srcname}

%global _description \
Parso is a Python parser that supports error recovery and round-trip parsing\
for different Python versions (in multiple Python versions). Parso is also able\
to list multiple syntax errors in your python file.  Parso has been\
battle-tested by jedi. It was pulled out of jedi to be useful for other\
projects as well.  Parso consists of a small API to parse Python and analyse\
the syntax tree.

# Use common documentation directory
%global _docdir_fmt %{name}

Name: python-%{pkgname}
Version: 0.3.1
Release: 1%{?dist}
Summary: Parser that supports error recovery and round-trip parsing
License: MIT and Python
URL: https://parso.readthedocs.io
Source0: %pypi_source
BuildArch: noarch


%description %{_description}


%package -n python%{python3_pkgversion}-%{pkgname}
Summary: %{summary}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}


%description -n python%{python3_pkgversion}-%{pkgname} %{_description}


%if %{defined python3_other_pkgversion}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary: %{summary}
BuildRequires: python%{python3_other_pkgversion}-devel
BuildRequires: python%{python3_other_pkgversion}-setuptools


%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build
%if %{defined python3_other_pkgversion}
%py3_other_build
%endif


%install
%if %{defined python3_other_pkgversion}
%py3_other_install
%endif
%py3_install


%files -n python%{python3_pkgversion}-%{pkgname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info


%if %{defined python3_other_pkgversion}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%license LICENSE.txt
%doc README.rst
%{python3_other_sitelib}/%{modname}
%{python3_other_sitelib}/%{eggname}-%{version}-py%{python3_other_version}.egg-info
%endif


%changelog
* Wed Aug 08 2018 Carl George <carl@george.computer> - 0.3.1-1
- Latest upstream
- Use common documentation directory
- Enable python36 subpackage for EPEL

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 15 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.1-2
- Rebuilt for Python 3.7

* Mon May 21 2018 Carl George <carl@george.computer> - 0.2.1-1
- Latest upstream

* Mon Apr 16 2018 Carl George <carl@george.computer> - 0.2.0-1
- Latest upstream

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Dec 30 2017 Carl George <carl@george.computer> - 0.1.1-2
- Be more explicit with the files in site-packages

* Tue Dec 26 2017 Carl George <carl@george.computer> - 0.1.1-1
- Initial package
